spring.main.banner-mode = console

logging.level.root      = INFO

maven.pom.path = /META-INF/maven/eu.dnetlib.dhp/dhp-mdstore-manager/effective-pom.xml

spring.thymeleaf.cache=false

management.endpoints.web.exposure.include        = prometheus,health
management.endpoints.web.base-path               = /
management.endpoints.web.path-mapping.prometheus = metrics
management.endpoints.web.path-mapping.health     = health

spring.datasource.url=jdbc:postgresql://localhost:5432/mdstoremanager
spring.datasource.username=
spring.datasource.password=

spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect

# Hibernate ddl auto (create, create-drop, validate, update)
spring.jpa.hibernate.ddl-auto = validate
spring.jpa.properties.hibernate.hbm2dll.extra_physical_table_types = MATERIALIZED VIEW
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
spring.jpa.open-in-view=true

# logs
logging.level.io.swagger.models.parameters.AbstractSerializableParameter = error

# Hadoop
dhp.mdstore-manager.hadoop.cluster = GARR
dhp.mdstore-manager.hdfs.base-path = /data/dnet.dev/mdstore
dhp.mdstore-manager.hadoop.user    = dnet.dev

#dhp.mdstore-manager.hadoop.zeppelin.base-url = https://iis-cdh5-test-gw.ocean.icm.edu.pl/zeppelin
#dhp.mdstore-manager.hadoop.zeppelin.login = 
#dhp.mdstore-manager.hadoop.zeppelin.password = 
dhp.mdstore-manager.hadoop.zeppelin.base-url =  https://hadoop-zeppelin.garr-pa1.d4science.org
dhp.mdstore-manager.hadoop.zeppelin.login = 
dhp.mdstore-manager.hadoop.zeppelin.password = 

dhp.mdstore-manager.hadoop.zeppelin.name-prefix = mdstoreManager

dhp.mdstore-manager.inspector.records.max = 1000

dhp.swagger.api.host = localhost
dhp.swagger.api.basePath = /
